Index: scripts/fetch/binutils.sh
===================================================================
--- scripts/fetch/binutils.sh	(revision e47a55462c108b65a6ac986a2e119964b66687c9)
+++ scripts/fetch/binutils.sh	(revision e47a55462c108b65a6ac986a2e119964b66687c9)
@@ -0,0 +1,142 @@
+#!/bin/bash
+# Create a Binutils Tarball
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+  echo "$0 - Binutils_Version"
+  echo "This will Create a Tarball for Binutils Binutils_Version"
+  echo "Example $0 2.19.51"
+  exit 255
+fi
+
+# Clear out old Directory
+#
+rm -rf ~/tmp
+
+# Set Patch Directory
+#
+PATCH_DIR=$(pwd -P)/binutils
+
+# Get Current binutils from SVN
+#
+install -d ~/tmp
+cd ~/tmp
+echo "Pulling latest Binutils trunk from CVS..."
+cvs -z 9 -d :pserver:anoncvs@sourceware.org:/cvs/src export -rHEAD binutils
+
+# Set Patch Number
+#
+cd ~/tmp
+wget http://svn.cross-lfs.org/svn/repos/cross-lfs/trunk/patches/ --no-remove-listing
+PATCH_NUM=$(cat index.html | grep binutils | grep "${VERSION}" | grep fixes | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+PATCH_NUM=$(expr ${PATCH_NUM} + 1)
+rm -f index.html
+
+# Customize the version string, so we know it's patched
+#
+cd ~/tmp
+mv src binutils-${VERSION}
+DL_DATE=$(date +%Y%m%d)
+cd ~/tmp/binutils-${VERSION}
+sed -i "s:@PKGVERSION@:(GNU Binutils for Cross-LFS - Retrieved on ${DL_DATE}) :" bfd/Makefile.in
+
+# Remove Files not needed
+#
+cd ~/tmp/binutils-${VERSION}
+FILE_LIST=".cvsignore"
+for files in ${FILE_LIST}; do
+  REMOVE=$(find * -name ${files})
+  for file in $REMOVE; do
+    rm -f ${file}
+  done
+done
+
+# Create a copy of the Original Directory So We can do some Updates
+#
+cd ~/tmp
+cp -ar binutils-${VERSION} binutils-${VERSION}.orig
+
+# Apply Patches from directories
+#
+cd ~/tmp/binutils-${VERSION}
+if [ -e ${PATCH_DIR}/${VERSION} ]; then
+  PATCH_FILES=$(ls ${PATCH_DIR}/${VERSION}/*.patch)
+  if [ "${PATCH_FILES}" != "" ]; then
+    for pfile in ${PATCH_FILES}; do
+      echo "Applying - ${pfile}..."
+      for pvalue in $(seq 0 5); do
+        patch --dry-run -Np${pvalue} -i ${pfile} > /dev/null 2>&1
+        if [ "${?}" = "0" ]; then
+          PVALUE=${pvalue}
+          break
+        fi
+      done
+      if [ "${PVALUE}" != "" ]; then
+        patch -Np${PVALUE} -i ${pfile}
+      else
+        echo "Patch: ${pfile} Failed to Apply..."
+        exit 255
+      fi
+    done
+  fi
+fi
+
+# Cleanup Directory
+#
+for dir in $(find * -type d); do
+  cd ~/tmp/binutils-${VERSION}
+  for file in $(find . -name '*~'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.orig'); do
+    rm -f ${file}
+  done
+  for file in $(find . -name '*.rej'); do
+    rm -f ${file}
+  done
+done
+cd ~/tmp/binutils-${VERSION}
+rm -rf *.orig *~ *.rej
+
+# Create Patch
+#
+diff -Naur ~/tmp/binutils-${VERSION} ~/tmp/binutils-${VERSION}.orig >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+if [ "$(cat ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch)" != "" ]; then
+  cd ~/tmp/binutils-${VERSION}
+  install -d ~/public_html/
+  echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" >  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "Date: `date +%m-%d-%Y`" >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "Initial Package Version: ${VERSION}" >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "Origin: Upstream" >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "Upstream Status: Applied" >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "Description: These are fixes binutils-${VERSION}, and should be" >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "             rechecked periodically." >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "" >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  diff -Naur ~/tmp/binutils-${VERSION} ~/tmp/binutils-${VERSION}.orig >>  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+  echo "Created  ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch."
+else
+  rm ~/public_html/binutils-${VERSION}-fixes-${PATCH_NUM}.patch
+fi
+
+# Remove Patched Copy
+#
+cd ~/tmp
+rm -rf binutils-${VERSION}
+mv binutils-${VERSION}.orig binutils-${VERSION}
+
+# Compress
+#
+cd ~/tmp
+install -d ~/packages
+echo "Creating Tarball for Binutils ${VERSION}...."
+tar cjf ~/packages/binutils-${VERSION}-${DL_DATE}.tar.bz2 binutils-${VERSION}
+
+# Clean up Directores
+#
+cd ~/tmp
+rm -rf binutils-${VERSION}
Index: scripts/fetch/eglibc.sh
===================================================================
--- scripts/fetch/eglibc.sh	(revision 55439e2b739495a9addb207d76524db4e9967db1)
+++ scripts/fetch/eglibc.sh	(revision e47a55462c108b65a6ac986a2e119964b66687c9)
@@ -37,5 +37,5 @@
 cd ~/tmp
 wget http://svn.cross-lfs.org/svn/repos/cross-lfs/trunk/patches/ --no-remove-listing
-PATCH_NUM=$(cat index.html | grep eglibc | grep "${SOURCEVERSION}" | grep branch_update | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+PATCH_NUM=$(cat index.html | grep eglibc | grep "${SOURCEVERSION}" | grep fixes | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
 PATCH_NUM=$(expr ${PATCH_NUM} + 1)
 rm -f index.html
@@ -136,15 +136,20 @@
 #
 cd ~/tmp/eglibc-${SOURCEVERSION}
-install -d ~/patches/
-echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" >  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "Date: `date +%m-%d-%Y`" >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "Initial Package Version: ${SOURCEVERSION}" >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "Origin: Upstream" >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "Upstream Status: Applied" >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "Description: These are fixes eglibc-${SOURCEVERSION}, and should be" >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "             rechecked periodically." >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "" >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-diff -Naur libc.orig libc >>  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
-echo "Created  ~/patches/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch."
+install -d ~/public_html/
+diff -Naur libc.orig libc >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+if [ "$(cat ~/public_html/eglibc-${VERSION}-fixes-${PATCH_NUM}.patch)" != "" ]; then
+  echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "Date: `date +%m-%d-%Y`" >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "Initial Package Version: ${SOURCEVERSION}" >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "Origin: Upstream" >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "Upstream Status: Applied" >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "Description: These are fixes eglibc-${SOURCEVERSION}, and should be" >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "             rechecked periodically." >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "" >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  diff -Naur libc.orig libc >>  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch
+  echo "Created  ~/public_html/eglibc-${SOURCEVERSION}-fixes-${PATCH_NUM}.patch."
+else
+  rm -f ~/public_html/eglibc-${VERSION}-fixes-${PATCH_NUM}.patch
+fi
 
 # Remove Patched Copy
